---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Log evaluation results from SDK. Reference for the POST
    /v1/projects/{projectId}/eval-results/examples endpoint in the Judgeval API.
sidebar:
  label: Log evaluation results
  badge: POST
title: Log evaluation results
type: openapi-operation
---
Log evaluation results from SDK

`POST /v1/projects/{projectId}/eval-results/examples`

**Request body** (`application/json`, required)

- `results` (OfflineTestsLocalScorerResult[], required)
- `run` (ExampleEvaluationRun, required)

Request body example:

```json
{
  "results": [
    {
      "scorers_data": [
        {
          "scorer_name": "string",
          "value": true,
          "reason": "string",
          "citations": [
            {
              "span_id": "string",
              "span_attribute": "string"
            }
          ],
          "error": "string"
        }
      ],
      "data_object": {
        "example_id": "string",
        "created_at": "string",
        "name": "string",
        "conversation_id": "string",
        "trace_id": "string",
        "span_id": "string",
        "offline_trace_id": "string",
        "session_id": "string",
        "session_trace_ids": [
          "string"
        ],
        "agent_offline_trace_id": "string"
      }
    }
  ],
  "run": {
    "id": "string",
    "project_id": "string",
    "eval_name": "string",
    "model": "string",
    "created_at": "string",
    "user_id": "string",
    "scorers": [
      null
    ],
    "custom_scorers": [],
    "judgment_scorers": [],
    "examples": [
      {
        "example_id": "string",
        "created_at": "string",
        "name": "string",
        "conversation_id": "string",
        "trace_id": "string",
        "span_id": "string",
        "offline_trace_id": "string",
        "session_id": "string",
        "session_trace_ids": [
          "string"
        ],
        "agent_offline_trace_id": "string"
      }
    ],
    "trace_span_id": "string",
    "trace_id": "string"
  }
}
```

**Responses**

- `200` — Response for status 200
- `422` — Response for status 422

Response example, 200:

```json
{
  "ui_results_url": "string"
}
```
